use super::{super::problem::*, receiver::*};

//
// NoProblem
//

/// [ProblemReceiver] that discards all problems.
pub struct NoProblem;

impl ProblemReceiver for NoProblem {
    fn give(&mut self, _problem: Problem) -> Result<(), Problem> {
        Ok(())
    }
}
